!addplugindir `${PACKAGE}\Other\Source\Plugins`

${SegmentFile}

Var Exists_LEGACY_WISEDELFILE
Var Exists_Services_WiseDelfile

${SegmentPrePrimary}
	${registry::KeyExists} "HKLM\SYSTEM\CurrentControlSet\Enum\Root\LEGACY_WISEDELFILE" $R0
	${If} $R0 = 0
		StrCpy $Exists_LEGACY_WISEDELFILE true
	${EndIf}

	${registry::KeyExists} "HKLM\SYSTEM\CurrentControlSet\Services\WiseDelfile" $R0
	${If} $R0 = 0
		StrCpy $Exists_Services_WiseDelfile true
	${EndIf}
!macroend

${SegmentPostPrimary}
	${IfNot} $Exists_LEGACY_WISEDELFILE == true
		${registry::KeyExists} "HKLM\SYSTEM\CurrentControlSet\Enum\Root\LEGACY_WISEDELFILE" $R0
		${If} $R0 = 0
			AccessControl::GrantOnRegKey HKLM "SYSTEM\CurrentControlSet\Enum\Root\LEGACY_WISEDELFILE" "(BU)" "FullAccess"
			Pop $R0
			${If} $R0 == error
				Pop $R0
				;MessageBox MB_OK|MB_SETFOREGROUND|MB_ICONINFORMATION `AccessControl error: $R0`
			${Else}
				${registry::DeleteKey} "HKLM\SYSTEM\CurrentControlSet\Enum\Root\LEGACY_WISEDELFILE" $R0
			${EndIf}
		${EndIf}
	${EndIf}
	
	${IfNot} $Exists_Services_WiseDelfile == true
		${registry::KeyExists} "HKLM\SYSTEM\CurrentControlSet\Services\WiseDelfile" $R0
		${If} $R0 = 0
			AccessControl::GrantOnRegKey HKLM "SYSTEM\CurrentControlSet\Services\WiseDelfile" "(BU)" "FullAccess"
			Pop $R0
			${If} $R0 == error
				Pop $R0
				;MessageBox MB_OK|MB_SETFOREGROUND|MB_ICONINFORMATION `AccessControl error: $R0`
			${Else}
				${registry::DeleteKey} "HKLM\SYSTEM\CurrentControlSet\Services\WiseDelfile" $R0
			${EndIf}
		${EndIf}
	${EndIf}
!macroend